{ pkgs, ... }:
{
  programs.nix-ld.enable = true;
  programs.nix-ld.libraries = with pkgs; [
    glib
    stdenv.cc.cc
    zlib
  ];

  # Unfree 패키지 허용
  nixpkgs.config.allowUnfree = true;

  programs.direnv.enable = true;

  # 기본 시스템 패키지
  environment.systemPackages = with pkgs; [
    eza
    btop
    vim
    wget
    curl
    git
    tree
    unzip
    zip
    file
    attic-client
    direnv
    devenv
  ];
}
